import request from "@/utils/request"

// 获取塘口信息
export function getPond() {
  return request({
    url: "/screen/pond",
    method: "post",
  })
}

// 获取告警数据
export function getWarnList(query) {
  return request({
    url: "/screen/warn",
    method: "get",
    params: query,
  })
}

// 获取设备信息(实时)
export function getEquipment(data) {
  return request({
    url: "/screen/equipment",
    method: "post",
    data: data,
  })
}

// 获取设备信息(实时)
export function getEquipmentList(data) {
  return request({
    url: "/screen/equipment/list",
    method: "post",
    data: data,
  })
}

// 获取历史数据
export function getHistory(data) {
  return request({
    url: "/screen/history",
    method: "post",
    data: data,
  })
}

// 获取对比历史数据
export function getCompare(data) {
  return request({
    url: "/screen/history/compare",
    method: "post",
    data: data,
  })
}

// 控制器开关控制
export function controlSwitch(data) {
  return request({
    url: "/screen/controlSwitch",
    method: "post",
    data: data,
  })
}
